language: cn
model_unique_abbr: MGWR_R
version: 1.0
identification:
  docker_image_name: gwmodel:2.3
  docker_run_prefix:
  - /scripts/mgwr.r
  model_name: 多尺度地理加权回归
  semantic: extended gwr
  description: 为空间范围内每个点处的不同参数,分别采用对应的不同带宽或距离度量进行估计,准确量化空间数据的异质性特征。
  category_application: 诊断型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 多尺度回归
  - 空间回归
  - 空间异质性
parameter_info:
  parameters:
  - arg_name: f
    param_type: input_data
    name: 矢量空间数据
    description: 带有属性表的矢量数据
    data_type: shp
    data_semantic: vector space data
  - arg_name: d
    param_type: param
    name: 因变量
    description: 建立多尺度地理加权回归模型时选取的因变量
    data_type: str
    data_semantic: dependent variable
  - arg_name: i
    param_type: param
    name: 自变量
    description: 建立多尺度地理加权回归模型时选取的自变量
    data_type: str
    data_semantic: independent variable
  - arg_name: k
    param_type: param
    name: 核函数
    description: 核函数,根据核函数的距离衰减可以计算权重。枚举类型,核函数可选:gaussian,exponential,bisquare,tricube,boxcar
    is_required: false
    data_type: enum
    data_semantic: kernel function
    specification:
      default: gaussian
      enum:
      - gaussian
      - exponential
      - bisquare
      - tricube
      - boxcar
  - arg_name: t
    param_type: param
    name: 带宽类型
    description: 是否采用自适应带宽(即最近邻居数量),若为false则为固定带宽(计算实际距离),默认为true:采用自适应带宽
    is_required: false
    data_type: bool
    data_semantic: bandwidth type
    specification:
      default: "true"
  - arg_name: a
    param_type: param
    name: 带宽优选方法
    description: 带宽优选方法,可选CV,AIC两种方法,当带宽优选为true时生效,默认为CV
    is_required: false
    data_type: enum
    data_semantic: bandwidth optimization method
    specification:
      default: CV
      enum:
      - CV
      - AIC
  - arg_name: m
    param_type: param
    name: 并行方法
    description: 采用的并行策略,支持openmp,枚举类型,可选FALSE或omp,默认为FALSE
    is_required: false
    data_type: enum
    data_semantic: parallel method
    specification:
      default: FALSE
      enum:
      - omp
      - FALSE
      - …
  - arg_name: p
    param_type: param
    name: 并行参数
    description: 并行时应用的参数,比如线程数、核数
    is_required: false
    data_type: int
    data_semantic: parallel arg number of cores
    specification:
      default: NULL
  - arg_name: r
    param_type: output_data
    name: 结果空间数据
    description: 将计算结果以空间数据的形式输出。shp格式,属性表包括:各个自变量对应的回归系数,因变量真实值,因变量预测值,残差,局部R2值,各个自变量对应回归系数等
    data_type: shp
    data_semantic: result spatial data
  - arg_name: h
    param_type: output_data
    name: 模型诊断信息
    description: 诊断信息输出:回归计算时间,回归方程,全局R2值, AIC值和AICc值等,txt格式
    data_type: txt
    data_semantic: model diagnostic information
application:
  domain: 多尺度的空间回归分析
  objective: 为空间范围内每个点处的不同参数,分别采用对应的不同带宽或距离度量进行估计,准确量化空间数据的异质性特征
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 对多元地理加权回归模型中不同参数分别采用对应的不同带宽或距离度量进行估计,采用后向迭代对整个模型进行求解,以准确呈现不同参数估计对应的异质性尺度特征。
operation:
  usage: 模型参数包括必选参数输入数据、因变量、自变量、输出数据,可选参数核函数、带宽类型、带宽优选,选择带宽优选后可指定带宽优选方法,若不选择带宽优选则需指定带宽大小,可选多线程计算。
  exec_example:
  - "docker run -v $PWD/data:/data gwmodel:2.2 /data/scripts/mgwr.r -f /data/data/mgwr-example.shp -d y -i x1,x2,x3 -t true -k \"bisquare\" -p 8 -m \"omp\" -a CV -r result.shp -h result.txt"
  output_display:
  - 制作自变量系数的分层设色图
  - 展示模型诊断信息txt
  license:
  - GPL-2
  - GPL-3
technique:
  language:
  - R
  - C++
  os:
  - Linux
  - Windows
  parallel:
  - OpenMP
  hardware: []
  dependencies:
  - name: GWmodel
    version: 2.2-9
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: g_ruoyu@qq.com
  repository: https://github.com/GWmodel-Lab
  integrated_softwares:
  - name: GWmodel
    version: 2.2-9
    license: GPL-2
  references:
  - "Lu, B., Brunsdon, C., Charlton, M., et al. 2017. Geographically weighted regression with parameter-specific distance metrics. International Journal of Geographical Information Science, 31(5): 982–998."
  - "Fotheringham, A. S., Yang, W., Kang, W. 2017. Multiscale geographically weighted regression (MGWR). Annals of the American Association of Geographers, 107(6): 1247–1265."
